### Method

# Gimp Image freeze_layers

since: 2.10.2

#### Declaration [src]

    gboolean
    gimp_image_freeze_layers (
      GimpImage* image
    )

#### Description [src]

Freeze the image’s layer list.

This procedure freezes the layer list of the image, suppressing any updates to the Layers dialog in response to changes to the image’s layers. This can significantly improve performance while applying changes affecting the layer list.

Each call to `gimp_image_freeze_layers()` should be matched by a corresponding call to `gimp_image_thaw_layers()`, undoing its effects.

Available since: 2.10.2

#### Return value

Type: `gboolean`

TRUE on success.